Illegal instruction

Anbindung von FS20-Komponenten, ELV-Wetterstationen, EnOcean und DMX an HomeMatic

Moderator: Co-Administratoren

hotroot
Beiträge: 16
Registriert: 23.05.2017, 13:08
Hat sich bedankt: 1 Mal

Illegal instruction

Beitrag von hotroot » 25.07.2019, 02:39

Hallo zusammen,

ich versuche auf meiner RaspberryMatic CUxD von Version 2.20 auf die aktuelle Version zu aktualisieren. Ich verwende dazu wie zuvor auch das ccu3-Archiv. Nach dem Hochladen läuft die Installation gemäß WebUI ohne Fehler durch. Allerdings läuft nach dem Update CUxD gar nicht mehr. Auch ein Neustart bringt keine Abhilfe. Versuche ich CUxD manuell zu starten quittiert RaspberryMatic dies mit einem "Illegal instruction":

Code: Alles auswählen

# /usr/local/addons/cuxd/
CUXD.PNG                  cuxd.ps.bak               maintenance.html
ajax.gif                  cuxd.ps.old               redir.ccc
cproxy.ccc                devicelist.inc            robots.txt
curl                      dfu-programmer            update_addon
cuxd                      dfu/                      user/
cuxd.inc                  extra/                    webcamconfig-default.ini
cuxd.ini                  index.ccc                 webcamconfig.ini
cuxd.ps                   index.html
# /usr/local/addons/cuxd/cuxd
Illegal instruction
Ich betreibe RaspberryMatic auf einem Raspberry PI 1B+, ich vermute, dass es irgendwie damit zusammenhängt. Hier noch meine Ausgabe von uname -a:

Code: Alles auswählen

Linux homematic-ccu2 4.19.57 #1 PREEMPT Sat Jul 13 01:17:34 CEST 2019 armv6l GNU/Linux
Kann mir jemand die Tomaten von den Augen nehmen, was ich falsch mache?

Danke & Gruß
hotroot

Benutzeravatar
uwe111
Beiträge: 3982
Registriert: 26.02.2011, 22:22
Danksagung erhalten: 5 Mal
Kontaktdaten:

Re: Illegal instruction

Beitrag von uwe111 » 25.07.2019, 10:34

hotroot hat geschrieben:
25.07.2019, 02:39
Kann mir jemand die Tomaten von den Augen nehmen, was ich falsch mache?
Du hast eine CUxD-Version für die falsche Hardware installiert.

Viele Grüße

Uwe
Alle sagten: Das geht nicht. Dann kam einer, der wußte das nicht und hat's einfach gemacht.
SPENDEN :wink: Download: CUxD 2.3.3, RFD-Monitor, Vellemann K8055, SSH KeyDir

hotroot
Beiträge: 16
Registriert: 23.05.2017, 13:08
Hat sich bedankt: 1 Mal

Re: Illegal instruction

Beitrag von hotroot » 28.07.2019, 17:39

Hallo Uwe,

danke für deine Antwort. Welcher Version wäre denn die Richtige? Ich bekomme keine der drei zum laufen. Ich habe alle drei Versionen auf meinen Raspi kopiert und nach /usr/local/tmp/ccu{1,2,3} entpackt:

Code: Alles auswählen

# ls ccu*
ccu1:
cuxd            rc.d            update_script
cuxd_addon.cfg  update_addon

ccu2:
cuxd            rc.d            update_script
cuxd_addon.cfg  update_addon

ccu3:
cuxd            rc.d            update_script
cuxd_addon.cfg  update_addon
Versuche ich jetzt die unterschiedlichen cuxd-Versionen zu starten kommt folgendes dabei heraus:

Code: Alles auswählen

# /usr/local/tmp/ccu1/cuxd/cuxd
-sh: /usr/local/tmp/ccu1/cuxd/cuxd: not found
# /usr/local/tmp/ccu2/cuxd/cuxd
-sh: /usr/local/tmp/ccu2/cuxd/cuxd: not found
# /usr/local/tmp/ccu3/cuxd/cuxd
Illegal instruction
Rufe ich das update_addon-Utility aus den jeweiligen Paketen auf, zeigt sich folgendes Bild:

Code: Alles auswählen

# /usr/local/tmp/ccu1/update_addon 
-sh: /usr/local/tmp/ccu1/update_addon: not found
# /usr/local/tmp/ccu2/update_addon 
-sh: /usr/local/tmp/ccu2/update_addon: not found
# /usr/local/tmp/ccu3/update_addon 
update_addon Version 1.0 (C) by Uwe Langhammer
usage: /usr/local/tmp/ccu3/update_addon <id> [<descr>]
Bitte nich vom Hostnamen verwirren lassen, es ist keine CCU es ist ein Raspberry Pi. Hier der Inhalt von /boot/VERSION:

Code: Alles auswählen

# cat /boot/VERSION 
VERSION=3.47.10.20190713
PRODUCT=raspmatic_rpi0
PLATFORM=rpi0
Wie schon geschrieben hat es bis zur Version 2.2.0 mit der CCU3-Version problemlos funktioniert. Seit 2.3.0 erhalte ich besagte "Illegal Instruction"

Gruß
hotroot

Benutzeravatar
uwe111
Beiträge: 3982
Registriert: 26.02.2011, 22:22
Danksagung erhalten: 5 Mal
Kontaktdaten:

Re: Illegal instruction

Beitrag von uwe111 » 29.07.2019, 23:08

Also der einzige Unterschied ist, dass ich die neue CCU3-Version mit einem aktuelleren gcc (Debian 6.3.0-18+deb9u1) 6.3.0 20170516 compiliert habe.
Könnte es daran liegen? Kennt sich jemand damit aus?

Version 2.2:
cuxd: ELF 32-bit LSB executable, ARM, EABI5 version 1 (SYSV), dynamically linked, interpreter /lib/ld-linux-armhf.so.3, for GNU/Linux 2.6.26, BuildID[sha1]=d361cfb3ae4974ceff23aa4d02872c4bb37e9d46, stripped

Version 2.3:
cuxd: ELF 32-bit LSB shared object, ARM, EABI5 version 1 (SYSV), dynamically linked, interpreter /lib/ld-linux-armhf.so.3, for GNU/Linux 3.2.0, BuildID[sha1]=a92bc58b99eeb1e63cb80bed488bdfea4f766afb, stripped

Viele Grüße

Uwe
Alle sagten: Das geht nicht. Dann kam einer, der wußte das nicht und hat's einfach gemacht.
SPENDEN :wink: Download: CUxD 2.3.3, RFD-Monitor, Vellemann K8055, SSH KeyDir

hotroot
Beiträge: 16
Registriert: 23.05.2017, 13:08
Hat sich bedankt: 1 Mal

Re: Illegal instruction

Beitrag von hotroot » 02.08.2019, 14:52

Hallo Uwe,

der einzige Unterschied der mir auffällt ist, dass bei Version 2.2 LSB executable steht und bei 2.3 LSB shared object. Aber ich bin kein Software-Entwickler...

Gruß
hotroot

BenjaminH
Beiträge: 4
Registriert: 25.08.2018, 10:05

Re: Illegal instruction

Beitrag von BenjaminH » 14.09.2019, 13:00

Ich habe dasselbe Problem. (cuxd 2.3.3)

Code: Alles auswählen

# uname -a
Linux homematic-raspi 4.19.68 #1 PREEMPT Fri Aug 30 14:59:24 CEST 2019 armv6l GNU/Linux
Manueller start von cuxd:

Code: Alles auswählen

# ./cuxd
Illegal instruction

Ricomat
Beiträge: 18
Registriert: 03.12.2018, 16:40

Re: Illegal instruction

Beitrag von Ricomat » 15.09.2019, 14:06

habe das gleiche Problem mit RaspberryMatic 3.47.15.20190831 CUxD 2.2. lässt sich nicht auf 2.3.3 updaten!?

Benutzeravatar
uwe111
Beiträge: 3982
Registriert: 26.02.2011, 22:22
Danksagung erhalten: 5 Mal
Kontaktdaten:

Re: Illegal instruction

Beitrag von uwe111 » 15.09.2019, 19:08

Auf welcher Hardware läuft RaspberryMatic bei Euch?
Vielleicht kommen wir damit weiter...

Viele Grüße

Uwe
Alle sagten: Das geht nicht. Dann kam einer, der wußte das nicht und hat's einfach gemacht.
SPENDEN :wink: Download: CUxD 2.3.3, RFD-Monitor, Vellemann K8055, SSH KeyDir

hobbyquaker
Beiträge: 3620
Registriert: 12.07.2009, 20:01
Hat sich bedankt: 4 Mal
Danksagung erhalten: 62 Mal
Kontaktdaten:

Re: Illegal instruction

Beitrag von hobbyquaker » 15.09.2019, 19:11

ins blaue geraten: das sind alte pi1/pi2 oder zeros die nur den armv6 befehlssatz unterstützen, der cuxd ist aber für armv7 gebaut?

Ricomat
Beiträge: 18
Registriert: 03.12.2018, 16:40

Re: Illegal instruction

Beitrag von Ricomat » 16.09.2019, 08:03

Raspberry Pi Modell B+ Broadcom BCM 2835 CPU ARM11

Ja, daran liegt es wohl. Mit Cuxd 2.2 läuft es einwandfrei.

Antworten

Zurück zu „CUxD“